Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

Update Comment

PATCH/api/v1/tasks/{task_id}/comments/{comment_id}
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Path parameters
task_idstringrequired
comment_idstringrequired
Request body
requiredapplication/json
bodystringrequired
min length 1 · max length 2000
mentioned_user_idsstring[]
Responses
200Successful Response
successboolean
default: true
dataComment | any
Show properties
Any of:
Comment
idstring
schema_versioninteger
default: 1
entity_typeEntityTyperequired
Allowed:task
entity_idstringrequired
author_idstringrequired
bodystringrequired
mentioned_user_idsstring[]
reactionsobject
created_atstring<date-time>
updated_atstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
deleted_atstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X PATCH "/api/v1/tasks/string/comments/string" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "body": "string",
  "mentioned_user_ids": [
    "string"
  ]
}'
Response
{
  "success": true,
  "data": {
    "id": "string",
    "schema_version": 1,
    "entity_type": "task",
    "entity_id": "string",
    "author_id": "string",
    "body": "string",
    "mentioned_user_ids": [
      "string"
    ],
    "reactions": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z"
  },
  "message": "string",
  "errors": [
    "string"
  ]
}